data{
  int<lower = 1> nObs;
  real<lower = 0> c24[nObs];
  real fxa24[nObs];
}

parameters{
  real<lower = 0, upper = 100> emax;
  real<lower = 0> ec50;
  real<lower = 0> gamma;
  real<lower = 0> sigma;
  real fxa24Pred[nObs];
 }

model{
  real fxa24Hat[nObs];

  emax ~ uniform(0, 100);
  ec50 ~ normal(0, 250);
  gamma ~ normal(0, 5);
  sigma ~ cauchy(0, 10);

  for(i in 1:nObs){
    fxa24Hat[i] = emax * c24[i]^gamma / (ec50^gamma + c24[i]^gamma);
    fxa24[i] ~ normal(fxa24Hat[i], sigma);
    fxa24Pred[i] ~ normal(fxa24Hat[i], sigma);
  }
}

