data{
  real x[10];
  real y[10];
}

parameters{
  real a;
  real b;
  real<lower=0> sigma;
  real ypred[10];
 }

model{
  real ymean[10];
  
  a ~ normal(0, 100);
  b ~ normal(0, 100);
  sigma ~ cauchy(0, 2);

  for(i in 1:10){
    ymean[i] = a + b * x[i];
    y[i] ~ normal(ymean[i], sigma);
    ypred[i] ~ normal(ymean[i], sigma);
  }
}

