## Minimal linear model example

.libPaths("lib")
library(rstan)

data = list(
    x = c(1,2,3,4,5,6,7,8,9,10),
    y = c(5.19,6.56,9.19,8.09,7.6,
        7.08,6.74,9.3,8.98,11.5)
)

init = function() list(
    a = rnorm(1, 6, 3),
    b = rnorm(1, 0.5, 0.5),
    sigma = exp(rnorm(1,log(1.5), 1)))

fit <- stan(file = file.path(dirname(getwd()), "model", "linear1.stan"),
            data = data,
            pars = c("a","b","sigma"),
            iter = 2000,
            init = init)

